#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA774_SU1E_AU1E_AU2E
void F1947_BlitBitmapToOrFromScreen(register int16_t* P5805_pi_XYZ, unsigned char* P5806_puc_Bitmap, int16_t P5807_i_Operation) {
        register int16_t L5676_i_Width;
        register int16_t L5677_i_Height;
        int16_t L5678_ai_XYZ[4];


        L5676_i_Width = ((unsigned int16_t)(P5805_pi_XYZ[1] - P5805_pi_XYZ[0] + 16) / 16) * 8;
        L5677_i_Height = P5805_pi_XYZ[3] - P5805_pi_XYZ[2] + 1;
        if (P5807_i_Operation) { /* C1_BITMAP_TO_SCREEN */
                L5678_ai_XYZ[0] = P5805_pi_XYZ[0];
                L5678_ai_XYZ[1] = P5805_pi_XYZ[1];
                L5678_ai_XYZ[2] = P5805_pi_XYZ[2];
                L5678_ai_XYZ[3] = P5805_pi_XYZ[3];
#ifdef MEDIA772_SU1E
                F0132_VIDEO_Blit(P5806_puc_Bitmap, G0348_Bitmap_Screen, L5678_ai_XYZ, 0, 0, L5676_i_Width, C160_BYTE_WIDTH_SCREEN, CM1_COLOR_NO_TRANSPARENCY);
#endif
#ifdef MEDIA763_AU1E_AU2E
                F0132_VIDEO_Blit(P5806_puc_Bitmap, G0348_Bitmap_Screen, L5678_ai_XYZ, 0, 0, L5676_i_Width * 2, 320, CM1_COLOR_NO_TRANSPARENCY, L5677_i_Height, 200);
#endif
        } else { /* C0_SCREEN_TO_BITMAP */
                L5678_ai_XYZ[1] = P5805_pi_XYZ[1] - P5805_pi_XYZ[0];
                L5678_ai_XYZ[3] = P5805_pi_XYZ[3] - P5805_pi_XYZ[2];
                L5678_ai_XYZ[2] = 0;
                L5678_ai_XYZ[0] = 0;
#ifdef MEDIA772_SU1E
                F0132_VIDEO_Blit(G0348_Bitmap_Screen, P5806_puc_Bitmap, L5678_ai_XYZ, P5805_pi_XYZ[0], P5805_pi_XYZ[2], C160_BYTE_WIDTH_SCREEN, L5676_i_Width, CM1_COLOR_NO_TRANSPARENCY);
#endif
#ifdef MEDIA763_AU1E_AU2E
                F0132_VIDEO_Blit(G0348_Bitmap_Screen, P5806_puc_Bitmap, L5678_ai_XYZ, P5805_pi_XYZ[0], P5805_pi_XYZ[2], 320, L5676_i_Width * 2, CM1_COLOR_NO_TRANSPARENCY, 200, L5677_i_Height);
#endif
        }
}

long F1948_(int16_t P5808_, int16_t P5809_) {
        long L5682_;
        char L5683_[14];


#ifdef MEDIA773_SU1E_AU1E
        F1966_DebugEnter(6, P5809_);
#endif
        switch (P5809_) {
                default:
                        F1956_EndProgram(P5808_, 18, 35L);
        }
#ifdef MEDIA773_SU1E_AU1E
        F1967_DebugExit(6, P5809_);
#endif
        return L5682_;
}
#endif
